Subject: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Juri Linkov <[email-masked]>
Date: Mon, 18 Oct 2021 18:53:40 +0300

>> The menu from the tab called "Menu" is displayed with 'popup-menu'.
>>
>> > Or what do you mean by "tabs represented by menu items"?  How can a
>> > tab be represented by a menu item?
>>
>> Menu items are transformed to tab strings in parse_tab_bar_item.
>
> Sorry, I'm still confused.  Again, checking this option:
>
>>   [ ] tab-bar-format-menu-global
>>           Show global menu on clicking the Menu button.
>
> causes the tab bar to include a single tab called "Menu", and if I
> click on that tab, I see the items from the global menu-bar.
>
> In any case, I don't see the importance of the fine difference between
> "menu items" and "menu items that represent tabs" in this case.
> AFAIU, whatever menu is produced by that option is what's displayed on
> the tab bar; the items in the menu are entirely up to the function
> which produces the menu.  Isn't that right?

This text is still wrong:

  Adding a function to the list causes the tab bar to show
  that string, or display a menu with those menu items when
  you click on the tab bar.

The tab called "Menu" displays menu items from the global menu-bar,
not from those menu items mentioned in the doc string.
Those menu items are used only to display tabs.